Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 592970 - Left navigation auto group didn't shows any sign for availability
Summary: Left navigation auto group didn't shows any sign for availability
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Depends On:
Blocks: rhq_triage jon24-naming
TreeView+ depends on / blocked
 
Reported: 2010-05-17 14:01 UTC by Rajan Timaniya
Modified: 2010-08-12 16:47 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:47:04 UTC


Attachments (Terms of Use)
screenshot (71.15 KB, image/png)
2010-05-17 14:01 UTC, Rajan Timaniya
no flags Details

Description Rajan Timaniya 2010-05-17 14:01:44 UTC
Created attachment 414560 [details]
screenshot

Description of problem:
Left navigation auto group didn't shows any sign for available or unavailable, even if auto group has only one unavailable resource.

Version-Release number of selected component (if applicable):
JON build #150 - Revision: 10620
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/150/

How reproducible:
Always

Steps to Reproduce:
1) Log-in to JON server
2) Goto 'Dashboard' and select platform
3) Click on left navigation -> Apache HTTP Server
  
Actual results:
Left navigation auto group didn't shows any sign for available or unavailable, even if auto group has only one unavailable resource.

Expected results:
Left navigation auto group should show sign for available or unavailable.

Additional info:
Please refer attached screenshot.

Comment 1 Lukas Krejci 2010-05-31 15:36:54 UTC
Fix for this is in 'ui-updates' branch along with a couple of more ui updates.

Comment 2 Rajan Timaniya 2010-06-10 09:16:11 UTC
Verified on JON 2.4Beta1

1) When all the resources in the autogroup are available, the autogroup has no overlay in left nav.
2) If at least one of the resources in the autogroup is unavailable, the autogroup gets the red sign overlay in left nav.
3) If at least one of the resources in the autogroup has unknown availability state, the autogroup gets a grey question mark overlay in left nav.

Comment 3 Corey Welton 2010-08-12 16:47:04 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.